Export the authenticated customer's ledger usage.
Returns ledger totals and recent ledger entries without encrypted payloads, prompts, outputs, or raw credentials.
GET
/v1/billing/usage
Returns ledger totals and recent ledger entries without encrypted payloads, prompts, outputs, or raw credentials.
Authentication
API Key (header: X-B3IQ-Customer-ID) API Key (header: X-B3IQ-Customer-Token)
Query Parameters
window_days
integer
optional
query
limit
integer
optional
query
Responses
200
Customer ledger usage export.
application/jsonstatus
string
Enum:
okcustomer_id
string
generated_at
string (date-time)
totals
object[]
Array of:
kind
string
count
integer
amount_wei
string
entries
object[]
Array of:
entry_id
string
private_job_id
string | null
receipt_hash
string | null
kind
string
amount_wei
string
balance_after_wei
string
reserved_after_wei
string
created_at
string (date-time)
default
B3IQ-native problem response.
curl -X GET 'https://{controlPlaneHost}/v1/billing/usage' \ -H 'X-B3IQ-Customer-ID: YOUR_API_KEY'
const response = await fetch('https://{controlPlaneHost}/v1/billing/usage', { method: 'GET', headers: { "X-B3IQ-Customer-ID": "YOUR_API_KEY" }});const data = await response.json();console.log(data);
200
Response
{ "status": "ok", "customer_id": "<string>", "generated_at": "2024-01-01T00:00:00Z", "totals": [ { "kind": "<string>", "count": 123, "amount_wei": "<string>" } ], "entries": [ { "entry_id": "<string>", "private_job_id": "<string>", "receipt_hash": "<string>", "kind": "<string>", "amount_wei": "<string>", "balance_after_wei": "<string>", "reserved_after_wei": "<string>", "created_at": "2024-01-01T00:00:00Z" } ]}
API Playground
Try this endpoint
GET
/v1/billing/usage
